| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkGraphics::Configuration Class Referencefinal

Configuration for the system's initialization. More...

Inheritance diagram for nkGraphics::Configuration:

## Public Member Functions
| Configuration () noexcept
RENDERING_API | getWantedApi () const
void | setWantedApi (RENDERING_API value)
virtual void | exportClassToTree (nkExport::Node *rootNode) override
virtual void | importClassFromTree (nkExport::Node *rootNode) override
Public Member Functions inherited from nkExport::Exportable
| Exportable () noexcept
virtual | ~Exportable ()

## Detailed Description

Configuration for the system's initialization.

## Constructor & Destructor Documentation

## ◆ Configuration()

nkGraphics::Configuration::Configuration | ( |  | ) |
| noexcept

Constructor.

## Member Function Documentation

## ◆ getWantedApi()

RENDERING_API nkGraphics::Configuration::getWantedApi | ( |  | ) | const

Returns
  The currently wanted rendering API.

## ◆ setWantedApi()

void nkGraphics::Configuration::setWantedApi | ( | RENDERING_API | value | ) |

Sets the wanted rendering API.

Parameters

  value | The rendering API to use.

## ◆ exportClassToTree()

virtual void nkGraphics::Configuration::exportClassToTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

Exports the class into a tree.
Format :

    {
        "wantedApi" : "[auto|d3d11|d3d12|gles]"
    }

Parameters

  rootNode | The node to export into.

Implements nkExport::Exportable.

## ◆ importClassFromTree()

virtual void nkGraphics::Configuration::importClassFromTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

Imports information from a tree which is supposed to describe its structure and data.

Parameters

  rootNode | The root node of the tree holding the information.

Implements nkExport::Exportable.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Configurations/Configuration.h